Documents

Mark Document as Read

Mark a document as read or unread

POST
/api/v1/documents/{documentId}/mark-as-read
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

documentId*string

The ID of the document to mark as read or unread

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://app.recommand.eu/api/v1/documents/string/mark-as-read" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}